# Class SpecificBanksAccountPayload

#### Hierarchy

- unknown
  - SpecificBanksAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4202
- Defined in src/protobuf/pb_pb.d.ts:4216

#####
Index

### Constructors

constructor

### Methods

addAcceptedBanks
clearAcceptedBanksList
getAcceptedBanksList
serializeBinary
setAcceptedBanksList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SpecificBanksAccountPayload(): SpecificBanksAccountPayload

- #### Returns SpecificBanksAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### addAcceptedBanks

- addAcceptedBanks(value: string, index?: number): SpecificBanksAccountPayload

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns SpecificBanksAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4206

### clearAcceptedBanksList

- clearAcceptedBanksList(): SpecificBanksAccountPayload

- #### Returns SpecificBanksAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4205

### getAcceptedBanksList

- getAcceptedBanksList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:4203

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4208

### setAcceptedBanksList

- setAcceptedBanksList(value: string[]): SpecificBanksAccountPayload

- #### Parameters

  - ##### value: string[]

  #### Returns SpecificBanksAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4204

### toObject

- toObject(includeInstance?: boolean): SpecificBanksAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SpecificBanksAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4209

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SpecificBanksAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SpecificBanksAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4212

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SpecificBanksAccountPayload, reader: BinaryReader): SpecificBanksAccountPayload

- #### Parameters

  - ##### message: SpecificBanksAccountPayload

  - ##### reader: BinaryReader

  #### Returns SpecificBanksAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4213

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SpecificBanksAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SpecificBanksAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4211

### `Static` toObject

- toObject(includeInstance: boolean, msg: SpecificBanksAccountPayload): SpecificBanksAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SpecificBanksAccountPayload

  #### Returns SpecificBanksAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4210

Generated using TypeDoc